package net.mc_pandacraft.java.plugin.pandacraftutils.commands;

import java.util.List;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;

public class CommandBroadcast extends AbstractCommandExecutor {
	public CommandBroadcast() {
		super("broadcast");
		
		// classe qui gère deux commandes (presque identiques)
        plugin.getCommand("broadcastperm").setExecutor(this);
        plugin.getCommand("broadcastperm").setTabCompleter(this);
	}

	@Override
	public boolean onCommand(CommandSender sender, Command cmd, String label, String[] args) {
		if (args.length == 0) return false;
		
		
		if (cmd.getAliases().contains("broadcast"))
		{
			plugin.broadcast(ChatColor.translateAlternateColorCodes('&', getLastParam(args, 0)), true);
			return true;
		}
		
		// ici, il s'agit de /broadcastperm
		if (args.length < 2) return false;
		
		plugin.broadcast(ChatColor.translateAlternateColorCodes('&', getLastParam(args, 1)), true, args[0]);
		
		
		return true;
	}
	
	
	

	@Override
	public List<String> onTabComplete(CommandSender sender, Command cmd, String alias, String[] args) {

		if (cmd.getAliases().contains("broadcast"))
			return null;

		// ici, il s'agit de /broadcastperm
		
		if (args.length == 1) {
			return NO_PROPOSAL;
		}
		else
			return null;
		
		
		// return NO_PROPOSAL;
	}

}
